using UnityEngine;
using UnityEngine.UI;

public class UIStartMenu : MonoBehaviour, IMenuState
{
    [SerializeField] private Button start;
    [SerializeField] private Button startCreativeMode;
    [SerializeField] private Button exit;

    private void Awake()
    {
        gameObject.SetActive(false);
    }

    private void Start()
    {
        start.onClick.AddListener(CameraMovement.Instance.StartGame);
        startCreativeMode.onClick.AddListener(() =>
        {
            GameManager.Instance.CreativeMoveOn = true;
            CameraMovement.Instance.StartGame();
        });
        exit.onClick.AddListener(MenuManager.Instance.ExitGame);
    }

    public void Enter()
    {
        gameObject.SetActive(true);
    }

    public void Exit()
    {
        gameObject.SetActive(false);
    }

    public void UpdateMenu() { }

}
